DELETE
/
v1
/
indexer
/
subscriptions
/
{subscriptionId}
Delete subscription
curl --request DELETE \
  --url https://api.withconvexity.com/v1/indexer/subscriptions/{subscriptionId} \
  --header 'Authorization: Bearer <token>'
{
  "status": true,
  "message": "Indexer subscription deleted",
  "data": {
    "id": "665f1a2b3c4d5e6f7a8b9c0d",
    "projectId": "proj_9f8e7d6c5b4a",
    "network": "BASE",
    "contractAddress": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
    "webhookUrl": "https://api.merchant.example/webhooks/indexer",
    "events": [
      "transfer",
      "mint"
    ],
    "status": "deleted",
    "createdBy": "proj_9f8e7d6c5b4a",
    "createdAt": "2026-06-17T09:12:44.118Z",
    "updatedAt": "2026-06-17T12:40:18.220Z",
    "lastDeliveryAt": "2026-06-17T10:01:02.557Z",
    "deliveredCount": 42,
    "failedCount": 1
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 access token from Auth-Edge.

Path Parameters

subscriptionId
string
required

Subscription id.

Response

200 - application/json

OK

The response is of type object.